Bug 1142173 - Tooltip for storage/network sections stays visible in Edit Compute Profile
Summary: Tooltip for storage/network sections stays visible in Edit Compute Profile
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: WebUI
Version: 6.0.4
Hardware: All
OS: Linux
medium
low vote
Target Milestone: Unspecified
Assignee: Shlomi Zadok
QA Contact: Tazim Kolhar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-16 09:44 UTC by Satyabrata Maitra
Modified: 2017-02-23 20:57 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:16:33 UTC
Target Upstream Version:


Attachments (Terms of Use)
Wrong mouse pointer tooltip-1 (89.39 KB, application/octet-stream)
2014-09-16 09:44 UTC, Satyabrata Maitra
no flags Details
Wrong mouse pointer tooltip-2 (96.05 KB, application/octet-stream)
2014-09-16 09:44 UTC, Satyabrata Maitra
no flags Details
network tooltip (69.68 KB, image/png)
2015-02-13 05:10 UTC, Tazim Kolhar
no flags Details
storage tooltip (53.08 KB, image/png)
2015-02-13 05:11 UTC, Tazim Kolhar
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 7639 0 None None None 2016-04-22 16:53:15 UTC
Red Hat Product Errata RHSA-2015:1592 0 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC

Description Satyabrata Maitra 2014-09-16 09:44:07 UTC
Created attachment 937917 [details]
Wrong mouse pointer tooltip-1

Description of problem:
When attempt to edit any existing Compute Profile, the Form appearing, there the Mouse Pointer Tooltip for various sections like Network, Storage is behaving wrong way. Its appearing in en_US, which means, it is present in all other RH supported locales as well.

Version-Release number of selected component (if applicable):
Red Hat Satellite-6.0.4

How reproducible:
Always

Steps to Reproduce:
1. Login into Red Hat Satellite webUI with Admin rights
2. Go to Infrastructure --> Compute Profiles from Menu shown.
3. Click on any existing profile (Or create a New Profile Clicking on "New 
   Compute Profile" Green Box shown on the right hand side of the Web UI)
4. Click on any valid Compute Resource (For example libvirt (Libvirt))
5. Observe a form is opening.
6. Now, Mouse over the the various sections like Network Interfaces, Storage 
   separated with Horizontal lines.
7. Observe the Mouse pointer and its tooltip location and distance and the 
   period of time it keeps showing the tooltip content.

Actual results:
1. The distance between the mouse pointer and its tooltip is quite long or high.
2. Its not disappearing after flashing the tooltip content for once.
3. When the mouse pointer is on some other button and showing the relevant 
   tooltip content, the previous tooltip is still on the picture.

Expected results:
1. Ideally tooltip should be positioned just above the mouse pointer not far 
   above.
2. It should disappear after few seconds, even if the mouse is pointing on the 
   same region for long time.
3. Tooltip should be shown on the immediate mouse pointer location's content, 
   not keep showing the other previous one as well.

Additional info:
2 Screen shots attached with the relevance.

**** By the way, I am not sure about the WebUI sub component, so, selected Katello as of now to proceed, as it is the mandatory field to proceed. Please change it accordingly if this one is not the correct it should be.

Comment 1 Satyabrata Maitra 2014-09-16 09:44:46 UTC
Created attachment 937918 [details]
Wrong mouse pointer tooltip-2

Comment 2 RHEL Program Management 2014-09-16 09:53:35 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 4 Dominic Cleal 2014-09-25 13:49:42 UTC
Created redmine issue http://projects.theforeman.org/issues/7639 from this bug

Comment 5 Bryan Kearney 2014-09-26 12:06:14 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/7639 has been closed
-------------
Shlomi Zadok
Applied in changeset commit:72c675c641062eba8fd77f3b99d163361a2e6119.

Comment 6 Bryan Kearney 2015-01-09 14:49:49 UTC
Upstream bug assigned to szadok

Comment 9 Tazim Kolhar 2015-02-13 05:09:19 UTC
VERIFIED:

# rpm -qa | grep foreman
foreman-postgresql-1.7.2.4-1.el7sat.noarch
foreman-vmware-1.7.2.4-1.el7sat.noarch
ruby193-rubygem-foreman_bootdisk-4.0.2.4-1.el7.noarch
foreman-compute-1.7.2.4-1.el7sat.noarch
ruby193-rubygem-foreman_docker-1.1.0.2-1.el7sat.noarch
ruby193-rubygem-foreman-tasks-0.6.12.1-1.el7sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3.1-1.el7.noarch
ruby193-rubygem-foreman_openscap-0.3.0-1.el7sat.noarch
foreman-1.7.2.4-1.el7sat.noarch
foreman-gce-1.7.2.4-1.el7sat.noarch
ruby193-rubygem-foreman_abrt-0.0.5-2.el7sat.noarch
rubygem-hammer_cli_foreman-0.1.4.3-1.el7sat.noarch
qe-sat6-rhel7.usersys.redhat.com-foreman-proxy-client-1.0-1.noarch
foreman-selinux-1.7.2.8-1.el7sat.noarch
foreman-ovirt-1.7.2.4-1.el7sat.noarch
ruby193-rubygem-foreman-redhat_access-0.0.7-2.el7sat.noarch
rubygem-hammer_cli_foreman_bootdisk-0.1.2.4-1.el7.noarch
foreman-proxy-1.7.2.1-1.el7sat.noarch
foreman-libvirt-1.7.2.4-1.el7sat.noarch
ruby193-rubygem-foreman_gutterball-0.0.1.4-1.el7sat.noarch
qe-sat6-rhel7.usersys.redhat.com-foreman-client-1.0-1.noarch
qe-sat6-rhel7.usersys.redhat.com-foreman-proxy-1.0-1.noarch
ruby193-rubygem-foreman_hooks-0.3.7-2.el7sat.noarch

Screenshot attached

Comment 10 Tazim Kolhar 2015-02-13 05:10:40 UTC
Created attachment 991216 [details]
network tooltip

Comment 11 Tazim Kolhar 2015-02-13 05:11:19 UTC
Created attachment 991217 [details]
storage tooltip

Comment 12 Bryan Kearney 2015-08-11 13:21:02 UTC
This bug is slated to be released with Satellite 6.1.

Comment 13 errata-xmlrpc 2015-08-12 05:16:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.